Page MenuHomePhabricator

[Task] Avoid inconsistencies in Wikidata editing due to slave lag
Closed, ResolvedPublic

Description

When mixing read and write operations to the database during an edit action, inconsistencies can be introduced due to slave lag if the read operations are performed against a slave DB. We should identify code sections prone to this issue, and address it in a suitable manner.

Event Timeline

daniel created this task.Feb 9 2015, 2:34 PM
daniel raised the priority of this task from to Needs Triage.
daniel updated the task description. (Show Details)
daniel added a project: Wikidata.
daniel added a subscriber: daniel.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 9 2015, 2:34 PM
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.Feb 9 2015, 7:42 PM
Lydia_Pintscher triaged this task as Normal priority.Feb 19 2015, 3:34 PM

This was touched on for claim / statement api modules in https://gerrit.wikimedia.org/r/#/c/222900/

Jonas renamed this task from Avoid inconsistencies due to slave lag to [Task] Avoid inconsistencies due to slave lag.Sep 10 2015, 1:51 PM
Jonas set Security to None.
aaron added a subscriber: aaron.Oct 1 2015, 8:38 AM

If this bug is wikidata-specific, can someone update the title to reflect that? Also, is anyone working on this yet?

aude added a comment.Oct 1 2015, 10:24 AM

@aaron T108929 is the one issue I am aware of that should be fixed asap. I'm not sure what else...

aude renamed this task from [Task] Avoid inconsistencies due to slave lag to [Task] Avoid inconsistencies in Wikidata editing due to slave lag.Oct 1 2015, 10:24 AM
aaron added a comment.Mar 17 2016, 6:57 PM

@aaron T108929 is the one issue I am aware of that should be fixed asap. I'm not sure what else...

Is anyone one looking at that? I think I still see it in the logs from time to time by happenstance.

hoo added a comment.Mar 17 2016, 7:05 PM

@aaron T108929 is the one issue I am aware of that should be fixed asap. I'm not sure what else...

Is anyone one looking at that? I think I still see it in the logs from time to time by happenstance.

No, but I can try to look into it next week (can't promise it though). It's not very hard to do, we just need to make sure we set the load from master flag whenever we load for editing and then the behavior can changed.

hoo closed this task as Resolved.Sep 7 2016, 4:42 PM
hoo claimed this task.

I'm closing this and suggest that we rather great individual actionable bugs in case we actually encounter any issues. I don't think this ticket is useful as is.